#!/bin/bash

# Ejecutar phpcs y capturar la salida
output=$(phpcs --standard=Drupal,DrupalPractice --extensions=php,module,inc,install,test,profile,theme,css,info,txt,md,yml  ./)

# Mostrar la salida de phpcs
echo "$output"

# Si phpcs encuentra problemas que pueden resolverse automáticamente, ejecutar phpcbf
if echo "$output" | grep -q "PHPCBF CAN FIX"; then
    echo "Running phpcbf to fix issues automatically..."
    phpcbf --standard=Drupal,DrupalPractice --extensions=php,module,inc,install,test,profile,theme,css,info,txt,md,yml  ./*
fi
